<!-- Code source : https://code.antopie.org/miraty/web/src/branch/master/clr.php -->
<!DOCTYPE html>
<html>
  <?php
  if (!isset($_GET['clr']))
    $clr = sprintf('#%06X', mt_rand(0, 0xFFFFFF));
  else
    $clr = "#" . htmlspecialchars($_GET['clr']);
  ?>
  <head>
    <meta content="UTF-8">
    <title>
    <?php
    echo $clr;
    if (isset($_GET['txt']))
      echo " " . htmlspecialchars($_GET['txt']);
    ?>
    </title>
    <style>

    body {
      background-color: <?php echo $clr; ?>;
    }

    #txt {
      font-family: "Ubuntu", system-ui, sans-serif;
      font-size: 50px;
      margin: 10px;
      background-color: black;
      color: white;
      padding: 10px;
      border-radius: 0px;
      position: fixed;
      top: 20%;
      left: 20%;
      right: 20%;
      text-align: center;
    }

    </style>
  </head>
  <body>
    <?php if (isset($_GET['txt'])) { ?>
    <div id=txt>
      <?php echo htmlspecialchars($_GET['txt']); ?>
    </div>
    <?php } ?>
  </body>
</html>
